Loading...
Searching...
No Matches
pqxx::internal::dynamic_params< IT, ACCESSOR > Class Template Reference

## Public Member Functions

constexpr | dynamic_params (IT begin, IT end)
| Wrap a sequence of pointers or iterators.
constexpr | dynamic_params (IT begin, IT end, ACCESSOR &acc)
| Wrap a sequence of pointers or iterators.
template<typename C>
constexpr | dynamic_params (C &container)
| Wrap a container.
template<typename C>
constexpr | dynamic_params (C &container, ACCESSOR &acc)
| Wrap a container.
constexpr IT | begin () const noexcept
constexpr IT | end () const noexcept
constexpr auto | access (decltype(*std::declval< IT >()) value) const -> decltype(std::declval< ACCESSOR >()(value))

## Detailed Description

template<typename IT, typename ACCESSOR = decltype(iterator_identity<IT>)>
class pqxx::internal::dynamic_params< IT, ACCESSOR >

Deprecated
  Use params instead.

## Constructor & Destructor Documentation

## dynamic_params() [1/2]

template<typename IT, typename ACCESSOR = decltype(iterator_identity<IT>)>

pqxx::internal::dynamic_params< IT, ACCESSOR >::dynamic_params | ( | IT | begin,
|  | IT | end,
|  | ACCESSOR & | acc )

inline constexpr

Wrap a sequence of pointers or iterators.

This version takes an accessor callable. If you pass an accessor acc, then any parameter p will go into the statement's parameter list as acc(p).

## dynamic_params() [2/2]

template<typename IT, typename ACCESSOR = decltype(iterator_identity<IT>)>
template<typename C>

pqxx::internal::dynamic_params< IT, ACCESSOR >::dynamic_params | ( | C & | container,
|  | ACCESSOR & | acc )

inline explicit constexpr

Wrap a container.

This version takes an accessor callable. If you pass an accessor acc, then any parameter p will go into the statement's parameter list as acc(p).

The documentation for this class was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/internal/statement_parameters.hxx